# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "fixture_builder"
  s.version = "0.3.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Ryan Dy", "David Stevenson"]
  s.date = "2013-06-17"
  s.description = "FixtureBuilder allows testers to use their existing factories, like FactoryGirl, to generate high performance fixtures that can be shared across all your tests"
  s.email = "mail@ryandy.com"
  s.extra_rdoc_files = ["README.markdown"]
  s.files = [".gitignore", ".pairs", ".rvmrc", ".travis.yml", "Gemfile", "MIT-LICENSE", "README.markdown", "Rakefile", "fixture_builder.gemspec", "lib/fixture_builder.rb", "lib/fixture_builder/builder.rb", "lib/fixture_builder/configuration.rb", "lib/fixture_builder/delegations.rb", "lib/fixture_builder/namer.rb", "lib/fixture_builder/version.rb", "lib/tasks/fixture_builder.rake", "test/fixture_builder_test.rb", "test/fixtures/.gitkeep", "test/legacy_fixture_mode_fixture_generation_test.rb", "test/legacy_fixture_mode_test.rb", "test/legacy_fixtures/magical_creatures.yml", "test/namer_test.rb", "test/test_helper.rb", "tmp/.gitkeep"]
  s.homepage = "http://github.com/rdy/fixture_builder"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "fixture_builder"
  s.rubygems_version = "1.8.23"
  s.summary = "Build YAML fixtures using object factories"
  s.test_files = ["test/fixture_builder_test.rb", "test/fixtures/.gitkeep", "test/legacy_fixture_mode_fixture_generation_test.rb", "test/legacy_fixture_mode_test.rb", "test/legacy_fixtures/magical_creatures.yml", "test/namer_test.rb", "test/test_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activerecord>, [">= 2"])
      s.add_runtime_dependency(%q<activesupport>, [">= 2"])
      s.add_development_dependency(%q<rake>, ["= 0.8.7"])
      s.add_development_dependency(%q<rails>, [">= 2"])
      s.add_development_dependency(%q<test-unit>, [">= 0"])
      s.add_development_dependency(%q<sqlite3>, [">= 0"])
    else
      s.add_dependency(%q<activerecord>, [">= 2"])
      s.add_dependency(%q<activesupport>, [">= 2"])
      s.add_dependency(%q<rake>, ["= 0.8.7"])
      s.add_dependency(%q<rails>, [">= 2"])
      s.add_dependency(%q<test-unit>, [">= 0"])
      s.add_dependency(%q<sqlite3>, [">= 0"])
    end
  else
    s.add_dependency(%q<activerecord>, [">= 2"])
    s.add_dependency(%q<activesupport>, [">= 2"])
    s.add_dependency(%q<rake>, ["= 0.8.7"])
    s.add_dependency(%q<rails>, [">= 2"])
    s.add_dependency(%q<test-unit>, [">= 0"])
    s.add_dependency(%q<sqlite3>, [">= 0"])
  end
end
